REST API

Authentication

POST

https://selise.app/api/identity/v100/identity/token

Endpoint Definition

NameAuthenticate via client credentials
URLhttps://selise.app/api/identity/v100/identity/token
MethodPOST

Payload Definition

Field
grant_typestring
client_idstring
client_secretstring

API Documentation

SELISE Signature APIs are secured endpoints. To access them successfully you must authenticate and obtain an OAuth JWT token using valid client credentials.

Create client credentials in the developer portal of SELISE App. When you create credentials, the secret is visible for only 60 minutes. You can create up to 5 client credentials per account.

Use the access_token as a Bearer token on successive endpoints.

Authorization: Bearer {{accessToken}}

Note: The access token is valid for 7 minutes.

Samples

Request sample
{
  "grant_type": "client_credentials",
  "client_id": "6abf3a67-f477-4b6a-ba6b-20fa0ebfd731",
  "client_secret": "Slz***"
}
Successful response
{
  "scope": "offline_access",
  "token_type": "Bearer",
  "access_token": "<jwt>",
  "expires_in": 420,
  "refresh_token": "<token>",
  "ip_address": "43.243.206.115",
  "may_access": "appselise.seliselocal.com,signature.seliselocal.com,selisesignature.com"
}